<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.WebException"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.varsearch.admin");
%>
<base:page type="default" >
<base:head 
	scripts="~../varsearch.js,~index.js" 
	styles="path.css,~../css/varsearch.css"
	>

<style>
dl
{
	margin-top: 0px;
	margin-bottom: 1em;
	padding: 3px;
}
dt
{
	margin-top: 0.5em;
	margin-left: 0.5em;
}
dd
{
	margin-left: 0.5em;
	margin-bottom: 0.5em;
	padding-left: 3em;
}
ul
{
	margin-top: 0px;
	margin-bottom: 0px;
	margin-left: 0em;
	padding-left: 0em;
}
li
{
	margin-left: 0em;
}
img
{
	vertical-align: text-bottom;
}
.default h3
{
	color: #333377;
	background-color: #E8E8E8;
	font-weight: bold;
	margin: 0;
	padding: 1px 4px 1px 4px;
	border-width: 1px;
	font-size: 1em;
}

#wizard.disabled > div > div
{
	display: none;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Variant Search" /></p:path>

	<div class="content">
		<div id="wizard">
		<div id="wizard-status"></div>
		
		<div class="absolutefull" style="width: 50%; right: auto;">
			<div class="absolutefull" style="left: 0.5em; right: 0.5em;">

			<h3>Server administrator wizards</h3>
			<dl class="leftborder rightborder bottomborder">
			<dt>
				<base:icon image="<%=home + "/images/install.png" %>" />
				<a href="install.jsp?ID=<%=ID%>">Installation wizard</a>
			</dt>
			<dd>
				<ul>
				<li>Check that items needed by the Variant Search exists in BASE.
				<li>Create and fix items.
				</ul>
			</dd>
			<dt>
				<base:icon image="<%=home + "/images/manager.png"%>" />
				<a href="manager.jsp?ID=<%=ID%>">Index manager</a>
				
			</dt>
			<dd>
				<ul>
				<li>Get information about the index databases
				<li>Re-build and clean the index databases
				</ul>
			</dd>
			</dl>

			</div>
		</div>
		</div>
	</div>
</base:body>
</base:page>
